
package org.gelecegiyazanlar.customlistview;

import java.util.ArrayList;
import java.util.List;

import org.gelecegiyazanlar.ornek.customlistview.R;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import android.widget.Toast;

public class MainActivity extends Activity {
	final List<Kisi> kisiler=new ArrayList<Kisi>();

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		kisiler.add(new Kisi("Ahmet Yılmaz", false));
		kisiler.add(new Kisi("Ayşe Küçük", true));
		kisiler.add(new Kisi("Fatma Bulgurcu", true));
		kisiler.add(new Kisi("İzzet Altınmeşe", false));
		kisiler.add(new Kisi("Melek Subaşı", true));
		kisiler.add(new Kisi("Selim Serdilli",false));
		kisiler.add(new Kisi("Halil İbrahim",false));

		final ListView listemiz = (ListView) findViewById(R.id.liste);
		OzelAdapter adaptorumuz=new OzelAdapter(this, kisiler);
		listemiz.setAdapter(adaptorumuz);

		listemiz.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> arg0, View arg1, int position, long arg3) {
				Toast.makeText(getBaseContext(), 
						listemiz.getAdapter().getItem(position).toString(), 
						Toast.LENGTH_SHORT)
						.show();
			}
		});
	}
}